DeleteTagByPlayerId
Delete tags from contacts according to PlayerID.
POST /api/v4/userinfo/delete_tag_by_player_id
Request parameters
For more information on the query parameters, see Query parameters.
| Attribute | Data type | Remarks | Description |
|---|---|---|---|
| player_id | string | required | Business-defined unique player ID (up to 20 numeric characters) |
| modify_ts | bigint | required | Timestamp of deletion (in milliseconds) |
| tags | []string | required | Custom tags for the grouping of users, used in user segmentation:
|
Request sample
curl --request POST "https://openapi.smartlink.intlgame.com/api/v4/userinfo/delete_tag_by_player_id?gameid=${GAME_ID}&seq=${YOUR_RANDOM_STRING}&sig=${SIGNATURE}&ts=${TS}" \
--header 'Content-Type: application/json' \
--data-raw '{
"player_id": "1012156612344364",
"modify_ts": 1691225447577,
"tags": [
"tag1",
"tag2"
]
}'
Response parameters
| Attribute | Data type | Description |
|---|---|---|
| code | int | Return code |
| msg | string | Return message |
Response sample
{
"code":0,
"msg":"Success",
"seq": "{YOUR_RANDOM_STRING}"
}